petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMDASetGetMatrix

Sets the routine used by the DMDA to allocate a matrix.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDASetGetMatrix(DM da,PetscErrorCode (*f)(DM, Mat*))

Logically Collective on DMDA Many br

### Input Parameters

| da | - the DMDA object Many br
| f | - the function that allocates the matrix for that specific DMDA Many br

Many br

Notes: See DMDASetBlockFills() that provides a simple way to provide the nonzero structure for Many brthe diagonal and off-diagonal blocks of the matrix Many br

### See Also

DMCreateMatrix(), DMDASetBlockFills()

Level:developer
Location:src/dm/impls/da/da.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages